///home/berryj/link/bin/genMethods "-g" "-t" "MDHyperGraph" "-r" "MHyperGraph" "-I" "LINK/graph/HyperGraph.h" "-I" "LINK/graph/DHyperGraph.h" "-y" "display_graph" "-w" "free_graph" "-d" "graph" "-f" "___mDHyperGraph" 
#include <stk.h>
#include <LINK/stkWrapper/LINK_STk.h>

#include <LINK/graph/HyperGraph.h>

#include <LINK/graph/DHyperGraph.h>

#include <LINK/stkWrapper/Wrapper.h>
#include <LINK/stkWrapper/Register.h>

void display_graph(SCM, SCM, int);
void free_graph(SCM);

typedef MDHyperGraph _MDHyperGraph;

#define _MDHyperGraphDATA(x) ((MDHyperGraph*) (EXTDATA(x)))
#define _MDHyperGraphIS_DATA(x) (TYPEP(x, tc_CXXwrapper) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<MDHyperGraph >::type))
#define _MDHyperGraphISNT_DATA(x) (!_MDHyperGraphIS_DATA(x))

#define _MDHyperGraphCXX_DATA(x) (*(MDHyperGraph*) (EXTDATA(VAL(x))))
#define _MDHyperGraphCXX_IS_DATA(x) (INSTANCEP(x) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<MDHyperGraph >::type))
#define _MDHyperGraphCXX_ISNT_DATA(x) (!_MDHyperGraphCXX_IS_DATA(x))


PRIMITIVE STk_init____mDHyperGraph()
{
	Wrapper<_MDHyperGraph>::type = STk_new_CXXwrapper_id(
			Wrapper<_MDHyperGraph>::name, 
			Wrapper<MHyperGraph >::name,
			(void (*)(SCM x, SCM port, int mode))
			display_graph,
			(void (*)(SCM x))0,
			(void (*)(SCM x))free_graph);
	Tcl_InitHashTable(&Register<_MDHyperGraph>::objTable, TCL_ONE_WORD_KEYS);
	return UNDEFINED;
}

void genExtra___mDHyperGraphMethods(void);

PRIMITIVE STk_init_methods____mDHyperGraph()
{
	genExtra___mDHyperGraphMethods();
	return UNDEFINED;
}
